/*
* Original code by ©Kosada Incorporated, released under MIT License, modified by Bodysoulspirit.
* This code may be modified and distributed under the terms of the MIT License.
* For more information, see https://vuo.org/license.
*/

#include "node.h"

VuoModuleMetadata({
	"title" : "Get Composition Height Edges",
	"description" : "For a given pixel width and height (of a Vuo Window Composition for example), it retrieves the height in Vuo Coordinates for a width of 2. In other words it converts pixels height to the height in Vuo canvas coordinates. It also retrieves the top and bottom edges.",
	"keywords" : ["convert", "canvas"],
	"version" : "1.0.2"
});

void nodeEvent
(
	VuoInputData(VuoReal) pixelsWide,
	VuoInputData(VuoReal) pixelsHigh,
	VuoOutputData(VuoReal) height,
	VuoOutputData(VuoReal) top,
	VuoOutputData(VuoReal) bottom
)
{
	VuoReal aspectRatio = pixelsWide / pixelsHigh;
	*height = 2 / aspectRatio;
	*top = *height / 2.;
	*bottom = -*top;
}
